/*
	(c) Mikhail Panasyuk aka BeAR, 2009. E-mail: otoko@yandex.ru

	Contains portions of NewOS kernel code:

	Copyright 2001-2002, Travis Geiselbrecht. All rights reserved. 
	Distributed under the terms of the NewOS License. 
*/

// sos_emulator_addon.h

#ifndef _SOS_EMULATOR_ADDON_H
#define _SOS_EMULATOR_ADDON_H

#include "sos_sched.h"

extern "C" __declspec(dllexport) const char* add_on_name;

extern "C" __declspec(dllexport) struct thread* thread_get_current_thread(void);
extern "C" __declspec(dllexport) void scheduler_enqueue_in_run_queue(struct thread *thread);
extern "C" __declspec(dllexport) void scheduler_remove_from_run_queue(struct thread *thread);
extern "C" __declspec(dllexport) void scheduler_reschedule(void);

#endif /* _SOS_EMULATOR_ADDON_H */
